﻿
@using Jumbula.Common.Helper
@model MultipleRegisterViewModel

@{
    Layout = "~/Views/Register/MultipleRegister.cshtml";
    ViewBag.SeasonDomain = Model.SeasonDomain;
    ViewBag.SeasonTitle = Model.SeasonTitle;
    ViewBag.HasWaiver = Model.HasWaiver;
    ViewBag.HasPaymentPlan = Model.HasPaymentPlan;
    ViewBag.HasFollowUpForms = Model.HasFollowUpForms;
    ViewBag.LastStep = Model.LastStep;
    ViewBag.GeneralOpenRegDate = Model.GeneralOpenRegDate;
    ViewBag.LotteryEndDate = Model.LotteryEndDate;
    ViewBag.Filter = Model.Filter;

    ViewBag.Programs = Model.Programs;

    var grade = string.Empty;
    if (!string.IsNullOrEmpty(Request.QueryString["Grade"]))
    {
        grade = Request.QueryString["Grade"].ToString();
    }
    String actionProgramLink = "";
    var dayOfWeeks = new List<DayOfWeek>()


{
DayOfWeek.Sunday,
DayOfWeek.Monday,
DayOfWeek.Tuesday,
DayOfWeek.Wednesday,
DayOfWeek.Thursday,
DayOfWeek.Friday,
DayOfWeek.Saturday,
};
    if (ViewBag.SelectedDays != null && ViewBag.SelectedDays.Count > 0)
    {
        dayOfWeeks = ViewBag.SelectedDays;
    }
}

@Html.HiddenFor(model => model.LastStep)
@Html.HiddenFor(model => model.HasWaiver)
@Html.HiddenFor(model => model.HasPaymentPlan)
@Html.HiddenFor(model => model.HasFollowUpForms)

<div id="hiddenContainer">

</div>

<div class="margin20 text-info" style="font-size: small">
    Please choose all the classes for which you wish to register one student by selecting the corresponding checkbox. You will be asked to enter the student's information on the next screen. You will be able to return to this screen to select classes for additional students, if needed.
</div>

<section id="multipleRegister" class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
    <div class="full-width">
        <div class="inner-content">
            <table class="table mreg-top-table">
                <thead>
                    <tr>
                        <th>Time of the day</th>
                        <th>Program</th>
                        <th>Class fee</th>
                        <th>Status</th>
                        <th>Room #</th>
                    </tr>
                </thead>
            </table>
            <div class="inner-tables">
                @foreach (var day in dayOfWeeks)
                {
                    if (Model.Programs.Where(p => p.Days.Select(s => s.DayOfWeek).Contains(day)).Any())
                    {
                        <h3 class="table-title">@day.ToDescription()</h3>

                        <table class="table mreg-table">
                            <tbody>
                                @foreach (var program in Model.Programs.Where(p => p.Days.Select(s => s.DayOfWeek).Contains(day)).OrderBy(d => d.Days.First(ds => ds.DayOfWeek == day).StartTime))
                                {
                                    string notOpenMessage = string.Empty;
                                    var isCanceled = program.ProgramEMStatus.Equals("canceled", StringComparison.OrdinalIgnoreCase);
                                    var isFull = program.ProgramEMStatus.Equals("full", StringComparison.OrdinalIgnoreCase);
                                    var checkStatusClass = program.Checked ? "jbi-checked-box" : "jbi-check-box";

                                    var isEnabled = !(isCanceled || isFull);

                                    if (isCanceled)
                                    {
                                        notOpenMessage = "Class is canceled";
                                    }
                                    else if (isFull)
                                    {
                                        notOpenMessage = "Class is full";
                                    }

                                    var dayOfWeek = program.Days.Single(d => d.DayOfWeek == day);
                                    <tr>
                                        <td>
                                            @DateTimeHelper.FormatTimeRangeAmPm(dayOfWeek.StartTime.Value, dayOfWeek.EndTime.Value)
                                        </td>
                                        <td>
                                            @if (isEnabled)
                                            {
                                                if (program.IsGenderRestricted && program.Checked)
                                                {
                                                    <span class="error-message-box clearfix">
                                                        @string.Format("Participants must be {0}s to register for this class.", program.Gender.ToDescription().ToLower())
                                                    </span>
                                                }

                                                if (program.IsGradeRestricted && program.Checked)
                                                {
                                                    <span class="error-message-box clearfix">
                                                        @program.GradeRestrictionMessage
                                                    </span>
                                                }

                                                if (program.IsAgeRestricted && program.Checked)
                                                {
                                                    <span class="error-message-box clearfix">
                                                        @program.AgeRestrictionMessage
                                                    </span>
                                                }

                                                if (program.IsConflictProgram && program.Checked)
                                                {
                                                    <span class="error-message-box clearfix">
                                                        @program.ConflictProgramMessage
                                                    </span>
                                                }

                                                <span class="program-items jb-checkbox @checkStatusClass" data-program-id="@program.Id" data-hasonetuition="@(program.Tuitions.Count() == 1)">
                                                </span>
                                            }
                                            else
                                            {
                                                <span data-toggle="tooltip" title="@notOpenMessage" class="program-items jb-checkbox jbi-check-box disabled">
                                                </span>
                                            }

                                            <a class="" style="color:blue" target="_blank" data-enabled-popup="@Model.Filter.EnabledPopup" data-display-url="@program.DisplayUrl" data-program-type="@program.ProgramType" data-program-id="@program.Id " onclick='showPopupProgram(event)' href="@Url.EventDomain(Model.SeasonDomain, program.Domain)/view">
                                                @program.Name
                                            </a>

                                        </td>
                                        <td>
                                            @Html.Partial("_TuitionOption", program)
                                        </td>
                                        <td>
                                            <span class="clearfix">@program.ProgramEMStatus</span>

                                            @if (Model.IsWaitlistEnabled && program.ProgramEMStatus.Equals("full", StringComparison.OrdinalIgnoreCase))
                                            {
                                                <a style="color:blue" class="blue" href="/Register/AddToWaitList?programId=@program.Id&returnUrl=@Request.Url.AbsolutePath">Add to waitlist</a>
                                            }
                                        </td>
                                        <td>@program.Room</td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                    }
                }
            </div>
        </div>
    </div>
</section>

<!--program information modal-->
<div class="modal-fluid-structure modal-fluid_bg-blue" data-program-info>
    <i class="jbi-remove modal-fluid__btn-close"></i>
    <h2 class="modal-fluid_base-title"><span data-popup-name></span> <span style="font-size:16px"> <span data-popup-categories-names></span></span><br /> <span style="font-size:16px" data-popup-provider-name></span></h2>
    <div class="clearfix"></div>
    <div class="tab-modal">

        <!--Tab items-->
        <ul class="tab-modal__items">
            <li data-modal-tab="first" class="tab-modal__item-active"><span>Schedules</span></li>
            <li data-modal-tab="Second"><span>Pricing</span></li>
            <li data-modal-tab="Third"><span>Description</span></li>
            <li data-popup-show-testimonials data-modal-tab="Forth"><span data-popup-testimonials-title></span></li>
            <li data-modal-tab="Fifth"><span>Any questions?</span></li>
        </ul>

        <!--Tab contents-->
        <div class="tab-modal__contents">

            <!--Schedules Tab contents-->
            <div data-modal-tab="first">
                <ul class="class-days">
                    <li data-popup-has-sunday>
                        <span class="icon"></span>
                        <span class="title">Sun</span>
                        <div class="times"><span>&nbsp;</span></div>
                    </li>
                    <li data-popup-has-monday>
                        <span class="icon"></span>
                        <span class="title">Mon</span>
                        <div class="times"><span>&nbsp;</span></div>
                    </li>

                    <li data-popup-has-tuesday>
                        <span class="icon"></span>
                        <span class="title">Tue</span>
                        <div class="times"><span>&nbsp;</span></div>
                    </li>

                    <li data-popup-has-wednesday>
                        <span class="icon"></span>
                        <span class="title">Wed</span>
                        <div class="times"><span>&nbsp;</span></div>
                    </li>
                    <li data-popup-has-thursday>
                        <span class="icon"></span>
                        <span class="title">Thu</span>
                        <div class="times"><span>&nbsp;</span></div>
                    </li>
                    <li data-popup-has-friday>
                        <span class="icon"></span>
                        <span class="title">Fri</span>
                        <div class="times"><span>&nbsp;</span></div>
                    </li>
                    <li data-popup-has-saturday>
                        <span class="icon"></span>
                        <span class="title">Sat</span>
                        <div class="times"><span>&nbsp;</span></div>
                    </li>

                </ul>
                <div class="section-info">
                    <div class="box-section-title">
                        <h2 class="box-section-title__title">Program start and end</h2>
                    </div>
                    <div class="box-section-content">
                        <p>Program starts on <span data-popup-start-date></span> and ends on <span data-popup-end-date></span>.</p>
                    </div>
                </div>
                <div class="section-info" data-popup-show-class-dates>
                    <div class="box-section-title">
                        <h2 class="box-section-title__title">Class dates</h2>
                    </div>
                    <div class="box-section-content">
                        <p data-popup-class-dates></p>
                    </div>
                </div>
                <div class="section-info">
                    <div class="box-section-title">
                        <h2 class="box-section-title__title">Registration period</h2>
                    </div>
                    <div class="box-section-content">
                        <p>Registration starts on <span data-registration-start-date></span> and ends on <span data-registration-end-date></span>.</p>
                    </div>
                </div>

            </div>
            <!--Pricing Tab contents-->
            <div data-modal-tab="Second">

                <div data-popup-schedule-prices></div>
                <div class="section-info" style="margin-top:30px;" data-popup-show-services>
                    <div class="box-section-title">
                        <h2 class="box-section-title__title">Additional services and fees</h2>
                    </div>
                    <div class="box-section-content" data-popup-program-services>



                    </div>
                </div>

            </div>
            <!--Description Tab contents-->
            <div data-modal-tab="Third">

                <div style="position:relative;" class="row">
                    <div class="col-md-8">
                        <div style="margin-bottom: 30px;" data-popup-show-description></div>
                        <div class="section-info">
                            <div class="box-section-title">
                                <h2 class="box-section-title__title">Location</h2>
                            </div>
                            <div class="box-section-content">
                                <p data-popup-show-address></p>
                            </div>
                        </div>
                        <div class="section-info" data-popup-show-min-max-enrollment>
                            <div class="box-section-title">
                                <h2 class="box-section-title__title">Program enrollment capacity</h2>
                            </div>
                            <div class="box-section-content">
                                <p data-popup-show-min-enrollment></p>
                                <p data-popup-show-max-enrollment></p>
                            </div>
                        </div>
                        <div class="section-info" data-popup-show-restrict-active>
                            <div class="box-section-title">
                                <h2 class="box-section-title__title">Restrictions</h2>
                            </div>
                            <div class="box-section-content">
                                <p data-popup-restriction-messages-active></p>
                                <p data-popup-restriction-messages-active-gender></p>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="popup-slider" data-popup-show-image-slider></div>
                    </div>
                </div>
            </div>

            <!--Any questions? Tab contents-->
            <div data-modal-tab="Fifth"><div data-popup-any-questions></div></div>
            <!--Testimonial-->
            <div data-popup-show-testimonials data-modal-tab="Forth" data-popup-data-testimonials></div>
        </div>
    </div>
</div>

<script>
    $(function () {
        $("[jb-bind]").html(function () {
            return $(this).attr('jb-bind')
        });
    });

</script>